--- cflowd-2-1-b1/apps/cfdases/Makefile.in.orig	2008-08-30 20:20:09.000000000 +0200
+++ cflowd-2-1-b1/apps/cfdases/Makefile.in	2008-08-30 20:21:25.000000000 +0200
@@ -31,8 +31,8 @@
 	fi
 
 install: all
-	${LIBTOOL} ../../install-sh -c -m 555 cfdases @bindir@/cfdases
-	../../install-sh -c -m 444 cfdases.man @mandir@/manl/cfdases.l
+	${LIBTOOL} ../../install-sh -c -m 555 cfdases ${DESTDIR}@bindir@/cfdases
+	../../install-sh -c -m 444 cfdases.man ${DESTDIR}@mandir@/manl/cfdases.l
 
 tarball::
 	@TAR@ -uvf ../../@PKG_VERSION@_@OSNAME@.tar @bindir@/cfdases
--- cflowd-2-1-b1/apps/cfdcollect/Makefile.in.orig	2008-08-30 20:20:09.000000000 +0200
+++ cflowd-2-1-b1/apps/cfdcollect/Makefile.in	2008-08-30 20:21:39.000000000 +0200
@@ -45,7 +45,7 @@
 	rm -Rf .libs
 
 install:
-	${LIBTOOL} ../../install-sh -c -m 555 cfdcollect @sbindir@/cfdcollect
+	${LIBTOOL} ../../install-sh -c -m 555 cfdcollect ${DESTDIR}@sbindir@/cfdcollect
 
 tarball::
 	@TAR@ -uvf ../../@PKG_VERSION@_@OSNAME@.tar @sbindir@/cfdcollect
--- cflowd-2-1-b1/apps/cfdifmatrix/Makefile.in.orig	2008-08-30 20:20:09.000000000 +0200
+++ cflowd-2-1-b1/apps/cfdifmatrix/Makefile.in	2008-08-30 20:21:53.000000000 +0200
@@ -31,8 +31,8 @@
 	fi
 
 install: all
-	${LIBTOOL} ../../install-sh -c -m 555 cfdifmatrix @bindir@/cfdifmatrix
-	../../install-sh -c -m 444 cfdifmatrix.man @mandir@/manl/cfdifmatrix.l
+	${LIBTOOL} ../../install-sh -c -m 555 cfdifmatrix ${DESTDIR}@bindir@/cfdifmatrix
+	../../install-sh -c -m 444 cfdifmatrix.man ${DESTDIR}@mandir@/manl/cfdifmatrix.l
 
 tarball::
 	@TAR@ -uvf ../../@PKG_VERSION@_@OSNAME@.tar @bindir@/cfdifmatrix
--- cflowd-2-1-b1/apps/cfdnets/Makefile.in.orig	2008-08-30 20:20:09.000000000 +0200
+++ cflowd-2-1-b1/apps/cfdnets/Makefile.in	2008-08-30 20:22:09.000000000 +0200
@@ -31,8 +31,8 @@
 	fi
 
 install: all
-	${LIBTOOL} ../../install-sh -c -m 555 cfdnets @bindir@/cfdnets
-	../../install-sh -c -m 444 cfdnets.man @mandir@/manl/cfdnets.l
+	${LIBTOOL} ../../install-sh -c -m 555 cfdnets ${DESTDIR}@bindir@/cfdnets
+	../../install-sh -c -m 444 cfdnets.man ${DESTDIR}@mandir@/manl/cfdnets.l
 
 tarball::
 	@TAR@ -uvf ../../@PKG_VERSION@_@OSNAME@.tar @bindir@/cfdnets
--- cflowd-2-1-b1/apps/cfdnexthops/Makefile.in.orig	2008-08-30 20:20:09.000000000 +0200
+++ cflowd-2-1-b1/apps/cfdnexthops/Makefile.in	2008-08-30 20:22:24.000000000 +0200
@@ -31,8 +31,8 @@
 	fi
 
 install: all
-	${LIBTOOL} ../../install-sh -c -m 555 cfdnexthops @bindir@/cfdnexthops
-	../../install-sh -c -m 444 cfdnexthops.man @mandir@/manl/cfdnexthops.l
+	${LIBTOOL} ../../install-sh -c -m 555 cfdnexthops ${DESTDIR}@bindir@/cfdnexthops
+	../../install-sh -c -m 444 cfdnexthops.man ${DESTDIR}@mandir@/manl/cfdnexthops.l
 
 tarball::
 	@TAR@ -uvf ../../@PKG_VERSION@_@OSNAME@.tar @bindir@/cfdnexthops
--- cflowd-2-1-b1/apps/cfdportmatrix/Makefile.in.orig	2008-08-30 20:20:09.000000000 +0200
+++ cflowd-2-1-b1/apps/cfdportmatrix/Makefile.in	2008-08-30 20:22:37.000000000 +0200
@@ -32,8 +32,8 @@
 	fi
 
 install: all
-	${LIBTOOL} ../../install-sh -c -m 555 cfdportmatrix @bindir@/cfdportmatrix
-	../../install-sh -c -m 444 cfdportmatrix.man @mandir@/manl/cfdportmatrix.l
+	${LIBTOOL} ../../install-sh -c -m 555 cfdportmatrix ${DESTDIR}@bindir@/cfdportmatrix
+	../../install-sh -c -m 444 cfdportmatrix.man ${DESTDIR}@mandir@/manl/cfdportmatrix.l
 
 tarball::
 	@TAR@ -uvf ../../@PKG_VERSION@_@OSNAME@.tar @bindir@/cfdportmatrix
--- cflowd-2-1-b1/apps/cfdprotos/Makefile.in.orig	2008-08-30 20:20:09.000000000 +0200
+++ cflowd-2-1-b1/apps/cfdprotos/Makefile.in	2008-08-30 20:22:57.000000000 +0200
@@ -31,8 +31,8 @@
 	fi
 
 install: all
-	${LIBTOOL} ../../install-sh -c -m 555 cfdprotos @bindir@/cfdprotos
-	../../install-sh -c -m 444 cfdprotos.man @mandir@/manl/cfdprotos.l
+	${LIBTOOL} ../../install-sh -c -m 555 cfdprotos ${DESTDIR}@bindir@/cfdprotos
+	../../install-sh -c -m 444 cfdprotos.man ${DESTDIR}@mandir@/manl/cfdprotos.l
 
 tarball::
 	@TAR@ -uvf ../../@PKG_VERSION@_@OSNAME@.tar @bindir@/cfdprotos
--- cflowd-2-1-b1/apps/cfdtos/Makefile.in.orig	2008-08-30 20:20:09.000000000 +0200
+++ cflowd-2-1-b1/apps/cfdtos/Makefile.in	2008-08-30 20:23:08.000000000 +0200
@@ -31,8 +31,8 @@
 	fi
 
 install: all
-	${LIBTOOL} ../../install-sh -c -m 555 cfdtos @bindir@/cfdtos
-	../../install-sh -c -m 444 cfdtos.man @mandir@/manl/cfdtos.l
+	${LIBTOOL} ../../install-sh -c -m 555 cfdtos ${DESTDIR}@bindir@/cfdtos
+	../../install-sh -c -m 444 cfdtos.man ${DESTDIR}@mandir@/manl/cfdtos.l
 
 tarball::
 	@TAR@ -uvf ../../@PKG_VERSION@_@OSNAME@.tar @bindir@/cfdtos
--- cflowd-2-1-b1/apps/cflowd/Makefile.in.orig	2008-08-30 20:20:09.000000000 +0200
+++ cflowd-2-1-b1/apps/cflowd/Makefile.in	2008-08-30 20:23:18.000000000 +0200
@@ -31,7 +31,7 @@
 	rm -Rf .libs
 
 install: all
-	${LIBTOOL} ../../install-sh -c -m 555 cflowd @sbindir@/cflowd
+	${LIBTOOL} ../../install-sh -c -m 555 cflowd ${DESTDIR}@sbindir@/cflowd
 
 tarball::
 	@TAR@ -uvf ../../@PKG_VERSION@_@OSNAME@.tar @sbindir@/cflowd
--- cflowd-2-1-b1/apps/cflowdmux/Makefile.in.orig	2008-08-30 20:20:09.000000000 +0200
+++ cflowd-2-1-b1/apps/cflowdmux/Makefile.in	2008-08-30 20:23:49.000000000 +0200
@@ -41,7 +41,7 @@
 	rm -Rf .libs
 
 install: all
-	${LIBTOOL} ../../install-sh -c -m 555 cflowdmux @sbindir@/cflowdmux
+	${LIBTOOL} ../../install-sh -c -m 555 cflowdmux ${DESTDIR}@sbindir@/cflowdmux
 
 tarball::
 	@TAR@ -uvf ../../@PKG_VERSION@_@OSNAME@.tar @sbindir@/cflowdmux
--- cflowd-2-1-b1/apps/dnswatch/Makefile.in.orig	2008-08-30 20:20:09.000000000 +0200
+++ cflowd-2-1-b1/apps/dnswatch/Makefile.in	2008-08-30 20:24:00.000000000 +0200
@@ -32,7 +32,7 @@
 	rm -Rf .libs
 
 install: all
-	${LIBTOOL} ../../install-sh -c -m 555 dnswatch @bindir@/dnswatch
+	${LIBTOOL} ../../install-sh -c -m 555 dnswatch ${DESTDIR}@bindir@/dnswatch
 
 tarball::
 	@TAR@ -uvf ../../@PKG_VERSION@_@OSNAME@.tar @bindir@/dnswatch
--- cflowd-2-1-b1/apps/flowdump/Makefile.in.orig	2008-08-30 20:20:09.000000000 +0200
+++ cflowd-2-1-b1/apps/flowdump/Makefile.in	2008-08-30 20:24:11.000000000 +0200
@@ -30,8 +30,8 @@
 	rm -Rf .libs
 
 install: all
-	${LIBTOOL} ../../install-sh -c -m 555 flowdump @bindir@/flowdump
-	../../install-sh -c -m 444 flowdump.man @mandir@/manl/flowdump.l
+	${LIBTOOL} ../../install-sh -c -m 555 flowdump ${DESTDIR}@bindir@/flowdump
+	../../install-sh -c -m 444 flowdump.man ${DESTDIR}@mandir@/manl/flowdump.l
 
 tarball::
 	@TAR@ -uvf ../../@PKG_VERSION@_@OSNAME@.tar @bindir@/flowdump
--- cflowd-2-1-b1/apps/flowwatch/Makefile.in.orig	2008-08-30 20:20:09.000000000 +0200
+++ cflowd-2-1-b1/apps/flowwatch/Makefile.in	2008-08-30 20:24:22.000000000 +0200
@@ -30,8 +30,8 @@
 	rm -Rf .libs
 
 install: all
-	${LIBTOOL} ../../install-sh -c -m 555 flowwatch @bindir@/flowwatch
-	../../install-sh -c -m 444 flowwatch.man @mandir@/manl/flowwatch.l
+	${LIBTOOL} ../../install-sh -c -m 555 flowwatch ${DESTDIR}@bindir@/flowwatch
+	../../install-sh -c -m 444 flowwatch.man ${DESTDIR}@mandir@/manl/flowwatch.l
 
 tarball::
 	@TAR@ -uvf ../../@PKG_VERSION@_@OSNAME@.tar @bindir@/flowwatch
--- cflowd-2-1-b1/classes/src/Makefile.in.orig	2008-08-30 20:20:09.000000000 +0200
+++ cflowd-2-1-b1/classes/src/Makefile.in	2008-08-30 20:25:15.000000000 +0200
@@ -136,9 +136,9 @@
 	flex -Pfiltexpr -ofiltexpr.cc filtexpr.lex
 
 install: ../lib/libCfd.la
-	${LIBTOOL} ../../install-sh -c -m 444 ../lib/libCfd.la @libdir@/libCfd.la
+	${LIBTOOL} ../../install-sh -c -m 444 ../lib/libCfd.la ${DESTDIR}@libdir@/libCfd.la
 	for header in ${HDRFILES}; do \
-	  ../../install-sh -c -m 444 $$header @includedir@/ ; \
+	  ../../install-sh -c -m 444 $$header ${DESTDIR}@includedir@/ ; \
 	done
 
 tarball::
--- cflowd-2-1-b1/doc/libCfd/Makefile.in.orig	2008-08-30 20:20:09.000000000 +0200
+++ cflowd-2-1-b1/doc/libCfd/Makefile.in	2008-08-30 20:25:36.000000000 +0200
@@ -9,7 +9,7 @@
 	mv keyweb.html.white keyweb.html
 
 install: html/libCfd.html
-	sh ./installHtml.sh
+	sh ./installHtml.sh ${DESTDIR}${HTDOCDIR}
 
 clean::
 	rm -f html/*
--- cflowd-2-1-b1/doc/libCfd/installHtml.sh.in.orig	2008-08-30 20:29:05.000000000 +0200
+++ cflowd-2-1-b1/doc/libCfd/installHtml.sh.in	2008-08-30 20:29:49.000000000 +0200
@@ -1,6 +1,9 @@
 #!/bin/sh
-
-read -p "Path to DocumentRoot for your Web server: " htdocdir
+if [ -z "$1" ]; then
+	read -p "Path to DocumentRoot for your Web server: " htdocdir
+else
+	htdocdir=$1
+fi
 
 if [ `echo $htdocdir | cut -c1` != '/' ]; then
   echo "Please specify a full path."
--- cflowd-2-1-b1/etc/Makefile.in.orig	2008-08-30 20:20:09.000000000 +0200
+++ cflowd-2-1-b1/etc/Makefile.in	2008-08-30 20:26:02.000000000 +0200
@@ -1,6 +1,6 @@
 install: cflowd.conf.example cfdcollect.conf.example
-	../install-sh -c -m 644 cflowd.conf.example @sysconfdir@/cflowd.conf.example
-	../install-sh -c -m 644 cfdcollect.conf.example @sysconfdir@/cfdcollect.conf.example
+	../install-sh -c -m 644 cflowd.conf.example ${DESTDIR}@sysconfdir@/cflowd.conf.example
+	../install-sh -c -m 644 cfdcollect.conf.example ${DESTDIR}@sysconfdir@/cfdcollect.conf.example
 
 tarball::
 	@TAR@ -uvf ../@PKG_VERSION@_@OSNAME@.tar @sysconfdir@/cflowd.conf.example
--- cflowd-2-1-b1/snmp++/classes/include/snmp++/Makefile.in.orig	2008-08-30 20:20:09.000000000 +0200
+++ cflowd-2-1-b1/snmp++/classes/include/snmp++/Makefile.in	2008-08-30 20:26:18.000000000 +0200
@@ -24,7 +24,7 @@
 
 install::
 	for headerfile in ${HEADERS}; do \
-	  ../../../../install-sh -c -m 444 $$headerfile @includedir@/snmp++/$$headerfile ; \
+	  ../../../../install-sh -c -m 444 $$headerfile ${DESTDIR}@includedir@/snmp++/$$headerfile ; \
 	done
 
 
--- cflowd-2-1-b1/snmp++/classes/src/Makefile.in.orig	2008-08-30 20:20:09.000000000 +0200
+++ cflowd-2-1-b1/snmp++/classes/src/Makefile.in	2008-08-30 20:26:29.000000000 +0200
@@ -175,7 +175,7 @@
 	       $(LIBSHARFILE) $(UXCODESHARFILE)
 
 install: $(LIBSNMPPLUS)
-	${LIBTOOL} ../../../install-sh -c -m 444 $(LIBSNMPPLUS) @libdir@/libsnmp++.la
+	${LIBTOOL} ../../../install-sh -c -m 444 $(LIBSNMPPLUS) ${DESTDIR}@libdir@/libsnmp++.la
 
 tarball::
 	-@TAR@ -rvf ../../../@PKG_VERSION@_@OSNAME@.tar @libdir@/libsnmp++.a
